Summary:        Netcat with IPv6 Support
Name:           nc6
Version:        1.0
Release:        %mkrel 24
Group:          Development/Java
URL:            http://www.deepspace6.net/projects/netcat6.html
License:        GPLv2+
Source:         ftp://ftp.deepspace6.net/pub/ds6/sources/nc6/%{name}-%{version}.tar.bz2
# Given that the trailing newlines are now a part of the comments,
# some macros with comments on the same line break.
Patch0:         %{name}-1.0-dnl.patch
# rhbz#1161432
Patch1:         %{name}-1.0-afindep-close-the-accepted-socket-when-done.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel

%description
netcat6 is an IPv6-enabled clone of the original netcat utility.

"Netcat is a simple Unix utility which reads and writes data across
network connections.  It is designed to be a reliable "back-end" tool
that can be used directly or easily driven by other programs and
scripts.  At the same time, it is a feature-rich network debugging and
exploration tool, since it can create almost any kind of connection you
would need and has several interesting built-in capabilities.  Netcat,
or "nc" as the actual program is named, should have been supplied long
ago as another one of those cryptic but standard Unix tools."

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fiv
%configure2_5x --prefix=%{_prefix} --mandir=%{_mandir} CFLAGS="%{optflags} -D_GNU_SOURCE"
%make

%install
%make_install

%files
%{_bindir}/%{name}
%doc %{_mandir}/man1/nc6.1*
%doc README AUTHORS COPYING NEWS TODO




%changelog
* Wed Feb 24 2016 neoclust <neoclust> 1.0-24.mga6
+ Revision: 977836
- First rebuild of the java stack
- sync package nc6 with fedora
- imported package nc6

* Tue Feb 09 2016 umeabot <umeabot> 1.0-3.mga6
+ Revision: 951478
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 daviddavid <daviddavid> 1.0-2.mga5
+ Revision: 807586
- add patch from Fedora to fix:
  * close sockets after the client disconnects (#1161432)

* Wed Dec 31 2014 daviddavid <daviddavid> 1.0-1.mga5
+ Revision: 807580
- imported package nc6


